Browse Source

Using own jigdo-gen-md5-list to avoid restriction to Linux and FreeBSD

master
Thomas Schmitt 11 years ago
parent
commit
ab501f4234
  1. 22
      releng/manual_isojigdo

22
releng/manual_isojigdo

@ -205,16 +205,22 @@ JIGDO_MAP="Debian=${JIGDO_MAP_RHV}/"
# create jigdo MD5 list in base64 format
JIGDO_GEN_MD5=${GEN_DATA_DIR}/${RELENG_IMG}.md5
if which jigdo-gen-md5-list >/dev/null 2>&1; then
printf "${SELF}: Creating MD5 list in hex format in ${JIGDO_GEN_MD5}..."
jigdo-gen-md5-list ${RELENG_DIR} > ${JIGDO_GEN_MD5}
printf "Done.\n"
printf "${SELF}: Creating MD5 list in hex format in ${JIGDO_GEN_MD5}..."
set +e
./jigdo-gen-md5-list ${RELENG_DIR} > ${JIGDO_GEN_MD5}
ret=$?
set -e
if test "$ret" = 0
then
printf "Done.\n"
else
printf "\n${SELF}: Not found: jigdo-gen-md5-list. Install jigit >= 1.18."
printf "\n${SELF}: http://www.einval.com/~steve/software/JTE/\n"
cleanup
exit 9
printf "\nFAIL : ${SELF}: ./jigdo-gen-md5-list returns $ret"
cleanup
exit 9
fi
CMD="$CMD \
-jigdo-template-compress gzip \

Loading…
Cancel
Save